package mzm.gsp.occupation.confbean;

package ..deTemp.1744812253725;

import com.goldhuman.Common.Marshal.OctetsStream;
import com.goldhuman.Common.Octets;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

public class RoleCommonConstants {
  private static volatile mzm.gsp.occupation.confbean.RoleCommonConstants oldInstance = null;
  
  private static mzm.gsp.occupation.confbean.RoleCommonConstants instance = new mzm.gsp.occupation.confbean.RoleCommonConstants();
  
  public int BORN_LEVEL;
  
  public int MAX_LEVEL;
  
  public int BORN_MAP_ID;
  
  public int BORN_MAP_POS_X;
  
  public int BORN_MAP_POS_Y;
  
  public double BORN_MOVE_SPEED;
  
  public int ADD_POTEN_FUNC_LEVEL;
  
  public int OPEN_POINT_SYS_1_LEVEL;
  
  public int OPEN_POINT_SYS_2_LEVEL;
  
  public int OPEN_POINT_SYS_3_LEVEL;
  
  public int SWITCH_PROP_SYS_COST;
  
  public int RENAME_ITEM_TYPE_ID;
  
  public int RESET_POINT_ITEM_TYPE_ID;
  
  public int LEVEL_UP_EFFECT;
  
  public int LEVEL_UP_FONT_EFFECT;
  
  public int ACCEPT_TASK_EFFECT;
  
  public int FINISH_TASK_EFFECT;
  
  public int SERVER_LEVEL_DESC_ID;
  
  public int PHY_ATK_TIPS;
  
  public int MAG_ATK_TIPS;
  
  public int PHY_DEF_TIPS;
  
  public int MAG_DEF_TIPS;
  
  public int SPEED_TIPS;
  
  public int SEAL_RES_TIPS;
  
  public int PHY_CRT_TIPS;
  
  public int MAG_CRT_TIPS;
  
  public int HP_TIPS;
  
  public int MP_TIPS;
  
  public int ANGER_TIPS;
  
  public int EVERYDAY_GET_OFFLINE_EXP_LIMIT;
  
  public int EXP_STORE_LIMIT;
  
  public int ONE_XIULIAN_EXP_NEED_ROLE_EXP;
  
  public int EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT;
  
  public int ROLE_LEVEL_MORE_THAN_SERVER_LEVEL;
  
  public double ROLE_EXP_POOL_EXCHANGE_RATE;
  
  public int ROLE_EXP_POOL_CAPACITY_RATE;
  
  public int VIGOR_WORK_ICON;
  
  public int ANGER_LIMIT;
  
  public int VIGOR_LIMIT;
  
  public int ADD_VIGOR_LIMIT_PERLV;
  
  public int MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE;
  
  public int VIGOR_REACH_LIMIT_TIP_RATE;
  
  public int VIGOR_2_SILVER;
  
  public int VIGOR_ITEM_USE_LIMIT_PERDAY;
  
  public int VIGOR_WORK_COST;
  
  public int VIGOR_TIPS1;
  
  public int VIGOR_TIPS2;
  
  public int VIGOR_TIPS3;
  
  public int VIGOR_PICID;
  
  public int OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU;
  
  public int BAOSHIDU_LIMIT;
  
  public int BAOTIP_LIMIT;
  
  public int BAOSHIDU_ICON_COLOR_COUNT;
  
  public int BAOSHIDU_ICON_ID;
  
  public int DELETE_ROLE_RECOVERY_D;
  
  public int DELETE_ROLE_SERVICE_RECOVERY_D;
  
  public int VIGOR_REFRESH_TIME;
  
  public int MAX_WARDROBE_COUNT;
  
  public int TIME_TO_NEXT_TIP;
  
  public int TIP_CONTENT;
  
  public int PRO_TIP_CONTENT;
  
  public int BAOSHIDU_COST;
  
  public int VIGOUR_ITEM_ID;
  
  public int CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL;
  
  public static mzm.gsp.occupation.confbean.RoleCommonConstants getOldInstance() {
    return oldInstance;
  }
  
  public static mzm.gsp.occupation.confbean.RoleCommonConstants getInstance() {
    return instance;
  }
  
  public static void loadXml(String dir) {
    instance.doLoadXml(dir);
  }
  
  private void doLoadXml(String dir) {
    String path = dir + "mzm.gsp.occupation.confbean.RoleCommonConstants.xml";
    try {
      SAXReader reader = new SAXReader();
      Document doc = reader.read(new File(path));
      Element root = doc.getRootElement();
      Map<String, Element> data = new HashMap<String, Element>();
      List<?> nodeList = root.elements();
      int len = nodeList.size();
      for (int i = 0; i < len; i++) {
        Element element = (Element)nodeList.get(i);
        if (element.getName().equalsIgnoreCase("row")) {
          String name = element.attributeValue("name");
          if (data.put(name, element) != null)
            throw new RuntimeException("duplicate const : " + name); 
        } 
      } 
      this.BORN_LEVEL = Integer.valueOf(((Element)data.get("BORN_LEVEL")).attributeValue("value")).intValue();
      this.MAX_LEVEL = Integer.valueOf(((Element)data.get("MAX_LEVEL")).attributeValue("value")).intValue();
      this.BORN_MAP_ID = Integer.valueOf(((Element)data.get("BORN_MAP_ID")).attributeValue("value")).intValue();
      this.BORN_MAP_POS_X = Integer.valueOf(((Element)data.get("BORN_MAP_POS_X")).attributeValue("value")).intValue();
      this.BORN_MAP_POS_Y = Integer.valueOf(((Element)data.get("BORN_MAP_POS_Y")).attributeValue("value")).intValue();
      this.BORN_MOVE_SPEED = Double.valueOf(((Element)data.get("BORN_MOVE_SPEED")).attributeValue("value")).doubleValue();
      this.ADD_POTEN_FUNC_LEVEL = Integer.valueOf(((Element)data.get("ADD_POTEN_FUNC_LEVEL")).attributeValue("value")).intValue();
      this.OPEN_POINT_SYS_1_LEVEL = Integer.valueOf(((Element)data.get("OPEN_POINT_SYS_1_LEVEL")).attributeValue("value")).intValue();
      this.OPEN_POINT_SYS_2_LEVEL = Integer.valueOf(((Element)data.get("OPEN_POINT_SYS_2_LEVEL")).attributeValue("value")).intValue();
      this.OPEN_POINT_SYS_3_LEVEL = Integer.valueOf(((Element)data.get("OPEN_POINT_SYS_3_LEVEL")).attributeValue("value")).intValue();
      this.SWITCH_PROP_SYS_COST = Integer.valueOf(((Element)data.get("SWITCH_PROP_SYS_COST")).attributeValue("value")).intValue();
      this.RENAME_ITEM_TYPE_ID = Integer.valueOf(((Element)data.get("RENAME_ITEM_TYPE_ID")).attributeValue("value")).intValue();
      this.RESET_POINT_ITEM_TYPE_ID = Integer.valueOf(((Element)data.get("RESET_POINT_ITEM_TYPE_ID")).attributeValue("value")).intValue();
      this.LEVEL_UP_EFFECT = Integer.valueOf(((Element)data.get("LEVEL_UP_EFFECT")).attributeValue("value")).intValue();
      this.LEVEL_UP_FONT_EFFECT = Integer.valueOf(((Element)data.get("LEVEL_UP_FONT_EFFECT")).attributeValue("value")).intValue();
      this.ACCEPT_TASK_EFFECT = Integer.valueOf(((Element)data.get("ACCEPT_TASK_EFFECT")).attributeValue("value")).intValue();
      this.FINISH_TASK_EFFECT = Integer.valueOf(((Element)data.get("FINISH_TASK_EFFECT")).attributeValue("value")).intValue();
      this.SERVER_LEVEL_DESC_ID = Integer.valueOf(((Element)data.get("SERVER_LEVEL_DESC_ID")).attributeValue("value")).intValue();
      this.PHY_ATK_TIPS = Integer.valueOf(((Element)data.get("PHY_ATK_TIPS")).attributeValue("value")).intValue();
      this.MAG_ATK_TIPS = Integer.valueOf(((Element)data.get("MAG_ATK_TIPS")).attributeValue("value")).intValue();
      this.PHY_DEF_TIPS = Integer.valueOf(((Element)data.get("PHY_DEF_TIPS")).attributeValue("value")).intValue();
      this.MAG_DEF_TIPS = Integer.valueOf(((Element)data.get("MAG_DEF_TIPS")).attributeValue("value")).intValue();
      this.SPEED_TIPS = Integer.valueOf(((Element)data.get("SPEED_TIPS")).attributeValue("value")).intValue();
      this.SEAL_RES_TIPS = Integer.valueOf(((Element)data.get("SEAL_RES_TIPS")).attributeValue("value")).intValue();
      this.PHY_CRT_TIPS = Integer.valueOf(((Element)data.get("PHY_CRT_TIPS")).attributeValue("value")).intValue();
      this.MAG_CRT_TIPS = Integer.valueOf(((Element)data.get("MAG_CRT_TIPS")).attributeValue("value")).intValue();
      this.HP_TIPS = Integer.valueOf(((Element)data.get("HP_TIPS")).attributeValue("value")).intValue();
      this.MP_TIPS = Integer.valueOf(((Element)data.get("MP_TIPS")).attributeValue("value")).intValue();
      this.ANGER_TIPS = Integer.valueOf(((Element)data.get("ANGER_TIPS")).attributeValue("value")).intValue();
      this.EVERYDAY_GET_OFFLINE_EXP_LIMIT = Integer.valueOf(((Element)data.get("EVERYDAY_GET_OFFLINE_EXP_LIMIT")).attributeValue("value")).intValue();
      this.EXP_STORE_LIMIT = Integer.valueOf(((Element)data.get("EXP_STORE_LIMIT")).attributeValue("value")).intValue();
      this.ONE_XIULIAN_EXP_NEED_ROLE_EXP = Integer.valueOf(((Element)data.get("ONE_XIULIAN_EXP_NEED_ROLE_EXP")).attributeValue("value")).intValue();
      this.EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT = Integer.valueOf(((Element)data.get("EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT")).attributeValue("value")).intValue();
      this.ROLE_LEVEL_MORE_THAN_SERVER_LEVEL = Integer.valueOf(((Element)data.get("ROLE_LEVEL_MORE_THAN_SERVER_LEVEL")).attributeValue("value")).intValue();
      this.ROLE_EXP_POOL_EXCHANGE_RATE = Double.valueOf(((Element)data.get("ROLE_EXP_POOL_EXCHANGE_RATE")).attributeValue("value")).doubleValue();
      this.ROLE_EXP_POOL_CAPACITY_RATE = Integer.valueOf(((Element)data.get("ROLE_EXP_POOL_CAPACITY_RATE")).attributeValue("value")).intValue();
      this.VIGOR_WORK_ICON = Integer.valueOf(((Element)data.get("VIGOR_WORK_ICON")).attributeValue("value")).intValue();
      this.ANGER_LIMIT = Integer.valueOf(((Element)data.get("ANGER_LIMIT")).attributeValue("value")).intValue();
      this.VIGOR_LIMIT = Integer.valueOf(((Element)data.get("VIGOR_LIMIT")).attributeValue("value")).intValue();
      this.ADD_VIGOR_LIMIT_PERLV = Integer.valueOf(((Element)data.get("ADD_VIGOR_LIMIT_PERLV")).attributeValue("value")).intValue();
      this.MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE = Integer.valueOf(((Element)data.get("MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE")).attributeValue("value")).intValue();
      this.VIGOR_REACH_LIMIT_TIP_RATE = Integer.valueOf(((Element)data.get("VIGOR_REACH_LIMIT_TIP_RATE")).attributeValue("value")).intValue();
      this.VIGOR_2_SILVER = Integer.valueOf(((Element)data.get("VIGOR_2_SILVER")).attributeValue("value")).intValue();
      this.VIGOR_ITEM_USE_LIMIT_PERDAY = Integer.valueOf(((Element)data.get("VIGOR_ITEM_USE_LIMIT_PERDAY")).attributeValue("value")).intValue();
      this.VIGOR_WORK_COST = Integer.valueOf(((Element)data.get("VIGOR_WORK_COST")).attributeValue("value")).intValue();
      this.VIGOR_TIPS1 = Integer.valueOf(((Element)data.get("VIGOR_TIPS1")).attributeValue("value")).intValue();
      this.VIGOR_TIPS2 = Integer.valueOf(((Element)data.get("VIGOR_TIPS2")).attributeValue("value")).intValue();
      this.VIGOR_TIPS3 = Integer.valueOf(((Element)data.get("VIGOR_TIPS3")).attributeValue("value")).intValue();
      this.VIGOR_PICID = Integer.valueOf(((Element)data.get("VIGOR_PICID")).attributeValue("value")).intValue();
      this.OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU = Integer.valueOf(((Element)data.get("OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU")).attributeValue("value")).intValue();
      this.BAOSHIDU_LIMIT = Integer.valueOf(((Element)data.get("BAOSHIDU_LIMIT")).attributeValue("value")).intValue();
      this.BAOTIP_LIMIT = Integer.valueOf(((Element)data.get("BAOTIP_LIMIT")).attributeValue("value")).intValue();
      this.BAOSHIDU_ICON_COLOR_COUNT = Integer.valueOf(((Element)data.get("BAOSHIDU_ICON_COLOR_COUNT")).attributeValue("value")).intValue();
      this.BAOSHIDU_ICON_ID = Integer.valueOf(((Element)data.get("BAOSHIDU_ICON_ID")).attributeValue("value")).intValue();
      this.DELETE_ROLE_RECOVERY_D = Integer.valueOf(((Element)data.get("DELETE_ROLE_RECOVERY_D")).attributeValue("value")).intValue();
      this.DELETE_ROLE_SERVICE_RECOVERY_D = Integer.valueOf(((Element)data.get("DELETE_ROLE_SERVICE_RECOVERY_D")).attributeValue("value")).intValue();
      this.VIGOR_REFRESH_TIME = Integer.valueOf(((Element)data.get("VIGOR_REFRESH_TIME")).attributeValue("value")).intValue();
      this.MAX_WARDROBE_COUNT = Integer.valueOf(((Element)data.get("MAX_WARDROBE_COUNT")).attributeValue("value")).intValue();
      this.TIME_TO_NEXT_TIP = Integer.valueOf(((Element)data.get("TIME_TO_NEXT_TIP")).attributeValue("value")).intValue();
      this.TIP_CONTENT = Integer.valueOf(((Element)data.get("TIP_CONTENT")).attributeValue("value")).intValue();
      this.PRO_TIP_CONTENT = Integer.valueOf(((Element)data.get("PRO_TIP_CONTENT")).attributeValue("value")).intValue();
      this.BAOSHIDU_COST = Integer.valueOf(((Element)data.get("BAOSHIDU_COST")).attributeValue("value")).intValue();
      this.VIGOUR_ITEM_ID = Integer.valueOf(((Element)data.get("VIGOUR_ITEM_ID")).attributeValue("value")).intValue();
      this.CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL = Integer.valueOf(((Element)data.get("CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL")).attributeValue("value")).intValue();
    } catch (Exception e) {
      throw new RuntimeException("load " + path + " failed", e);
    } 
  }
  
  public void reLoadXml(String dir) {
    String path = dir + "mzm.gsp.occupation.confbean.RoleCommonConstants.xml";
    try {
      SAXReader reader = new SAXReader();
      Document doc = reader.read(new File(path));
      Element root = doc.getRootElement();
      Map<String, Element> data = new HashMap<String, Element>();
      List<?> nodeList = root.elements();
      int len = nodeList.size();
      for (int i = 0; i < len; i++) {
        Element element = (Element)nodeList.get(i);
        if (element.getName().equalsIgnoreCase("row")) {
          String name = element.attributeValue("name");
          if (data.put(name, element) != null)
            throw new RuntimeException("duplicate const : " + name); 
        } 
      } 
      this.BORN_LEVEL = Integer.valueOf(((Element)data.get("BORN_LEVEL")).attributeValue("value")).intValue();
      this.MAX_LEVEL = Integer.valueOf(((Element)data.get("MAX_LEVEL")).attributeValue("value")).intValue();
      this.BORN_MAP_ID = Integer.valueOf(((Element)data.get("BORN_MAP_ID")).attributeValue("value")).intValue();
      this.BORN_MAP_POS_X = Integer.valueOf(((Element)data.get("BORN_MAP_POS_X")).attributeValue("value")).intValue();
      this.BORN_MAP_POS_Y = Integer.valueOf(((Element)data.get("BORN_MAP_POS_Y")).attributeValue("value")).intValue();
      this.BORN_MOVE_SPEED = Double.valueOf(((Element)data.get("BORN_MOVE_SPEED")).attributeValue("value")).doubleValue();
      this.ADD_POTEN_FUNC_LEVEL = Integer.valueOf(((Element)data.get("ADD_POTEN_FUNC_LEVEL")).attributeValue("value")).intValue();
      this.OPEN_POINT_SYS_1_LEVEL = Integer.valueOf(((Element)data.get("OPEN_POINT_SYS_1_LEVEL")).attributeValue("value")).intValue();
      this.OPEN_POINT_SYS_2_LEVEL = Integer.valueOf(((Element)data.get("OPEN_POINT_SYS_2_LEVEL")).attributeValue("value")).intValue();
      this.OPEN_POINT_SYS_3_LEVEL = Integer.valueOf(((Element)data.get("OPEN_POINT_SYS_3_LEVEL")).attributeValue("value")).intValue();
      this.SWITCH_PROP_SYS_COST = Integer.valueOf(((Element)data.get("SWITCH_PROP_SYS_COST")).attributeValue("value")).intValue();
      this.RENAME_ITEM_TYPE_ID = Integer.valueOf(((Element)data.get("RENAME_ITEM_TYPE_ID")).attributeValue("value")).intValue();
      this.RESET_POINT_ITEM_TYPE_ID = Integer.valueOf(((Element)data.get("RESET_POINT_ITEM_TYPE_ID")).attributeValue("value")).intValue();
      this.LEVEL_UP_EFFECT = Integer.valueOf(((Element)data.get("LEVEL_UP_EFFECT")).attributeValue("value")).intValue();
      this.LEVEL_UP_FONT_EFFECT = Integer.valueOf(((Element)data.get("LEVEL_UP_FONT_EFFECT")).attributeValue("value")).intValue();
      this.ACCEPT_TASK_EFFECT = Integer.valueOf(((Element)data.get("ACCEPT_TASK_EFFECT")).attributeValue("value")).intValue();
      this.FINISH_TASK_EFFECT = Integer.valueOf(((Element)data.get("FINISH_TASK_EFFECT")).attributeValue("value")).intValue();
      this.SERVER_LEVEL_DESC_ID = Integer.valueOf(((Element)data.get("SERVER_LEVEL_DESC_ID")).attributeValue("value")).intValue();
      this.PHY_ATK_TIPS = Integer.valueOf(((Element)data.get("PHY_ATK_TIPS")).attributeValue("value")).intValue();
      this.MAG_ATK_TIPS = Integer.valueOf(((Element)data.get("MAG_ATK_TIPS")).attributeValue("value")).intValue();
      this.PHY_DEF_TIPS = Integer.valueOf(((Element)data.get("PHY_DEF_TIPS")).attributeValue("value")).intValue();
      this.MAG_DEF_TIPS = Integer.valueOf(((Element)data.get("MAG_DEF_TIPS")).attributeValue("value")).intValue();
      this.SPEED_TIPS = Integer.valueOf(((Element)data.get("SPEED_TIPS")).attributeValue("value")).intValue();
      this.SEAL_RES_TIPS = Integer.valueOf(((Element)data.get("SEAL_RES_TIPS")).attributeValue("value")).intValue();
      this.PHY_CRT_TIPS = Integer.valueOf(((Element)data.get("PHY_CRT_TIPS")).attributeValue("value")).intValue();
      this.MAG_CRT_TIPS = Integer.valueOf(((Element)data.get("MAG_CRT_TIPS")).attributeValue("value")).intValue();
      this.HP_TIPS = Integer.valueOf(((Element)data.get("HP_TIPS")).attributeValue("value")).intValue();
      this.MP_TIPS = Integer.valueOf(((Element)data.get("MP_TIPS")).attributeValue("value")).intValue();
      this.ANGER_TIPS = Integer.valueOf(((Element)data.get("ANGER_TIPS")).attributeValue("value")).intValue();
      this.EVERYDAY_GET_OFFLINE_EXP_LIMIT = Integer.valueOf(((Element)data.get("EVERYDAY_GET_OFFLINE_EXP_LIMIT")).attributeValue("value")).intValue();
      this.EXP_STORE_LIMIT = Integer.valueOf(((Element)data.get("EXP_STORE_LIMIT")).attributeValue("value")).intValue();
      this.ONE_XIULIAN_EXP_NEED_ROLE_EXP = Integer.valueOf(((Element)data.get("ONE_XIULIAN_EXP_NEED_ROLE_EXP")).attributeValue("value")).intValue();
      this.EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT = Integer.valueOf(((Element)data.get("EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT")).attributeValue("value")).intValue();
      this.ROLE_LEVEL_MORE_THAN_SERVER_LEVEL = Integer.valueOf(((Element)data.get("ROLE_LEVEL_MORE_THAN_SERVER_LEVEL")).attributeValue("value")).intValue();
      this.ROLE_EXP_POOL_EXCHANGE_RATE = Double.valueOf(((Element)data.get("ROLE_EXP_POOL_EXCHANGE_RATE")).attributeValue("value")).doubleValue();
      this.ROLE_EXP_POOL_CAPACITY_RATE = Integer.valueOf(((Element)data.get("ROLE_EXP_POOL_CAPACITY_RATE")).attributeValue("value")).intValue();
      this.VIGOR_WORK_ICON = Integer.valueOf(((Element)data.get("VIGOR_WORK_ICON")).attributeValue("value")).intValue();
      this.ANGER_LIMIT = Integer.valueOf(((Element)data.get("ANGER_LIMIT")).attributeValue("value")).intValue();
      this.VIGOR_LIMIT = Integer.valueOf(((Element)data.get("VIGOR_LIMIT")).attributeValue("value")).intValue();
      this.ADD_VIGOR_LIMIT_PERLV = Integer.valueOf(((Element)data.get("ADD_VIGOR_LIMIT_PERLV")).attributeValue("value")).intValue();
      this.MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE = Integer.valueOf(((Element)data.get("MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE")).attributeValue("value")).intValue();
      this.VIGOR_REACH_LIMIT_TIP_RATE = Integer.valueOf(((Element)data.get("VIGOR_REACH_LIMIT_TIP_RATE")).attributeValue("value")).intValue();
      this.VIGOR_2_SILVER = Integer.valueOf(((Element)data.get("VIGOR_2_SILVER")).attributeValue("value")).intValue();
      this.VIGOR_ITEM_USE_LIMIT_PERDAY = Integer.valueOf(((Element)data.get("VIGOR_ITEM_USE_LIMIT_PERDAY")).attributeValue("value")).intValue();
      this.VIGOR_WORK_COST = Integer.valueOf(((Element)data.get("VIGOR_WORK_COST")).attributeValue("value")).intValue();
      this.VIGOR_TIPS1 = Integer.valueOf(((Element)data.get("VIGOR_TIPS1")).attributeValue("value")).intValue();
      this.VIGOR_TIPS2 = Integer.valueOf(((Element)data.get("VIGOR_TIPS2")).attributeValue("value")).intValue();
      this.VIGOR_TIPS3 = Integer.valueOf(((Element)data.get("VIGOR_TIPS3")).attributeValue("value")).intValue();
      this.VIGOR_PICID = Integer.valueOf(((Element)data.get("VIGOR_PICID")).attributeValue("value")).intValue();
      this.OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU = Integer.valueOf(((Element)data.get("OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU")).attributeValue("value")).intValue();
      this.BAOSHIDU_LIMIT = Integer.valueOf(((Element)data.get("BAOSHIDU_LIMIT")).attributeValue("value")).intValue();
      this.BAOTIP_LIMIT = Integer.valueOf(((Element)data.get("BAOTIP_LIMIT")).attributeValue("value")).intValue();
      this.BAOSHIDU_ICON_COLOR_COUNT = Integer.valueOf(((Element)data.get("BAOSHIDU_ICON_COLOR_COUNT")).attributeValue("value")).intValue();
      this.BAOSHIDU_ICON_ID = Integer.valueOf(((Element)data.get("BAOSHIDU_ICON_ID")).attributeValue("value")).intValue();
      this.DELETE_ROLE_RECOVERY_D = Integer.valueOf(((Element)data.get("DELETE_ROLE_RECOVERY_D")).attributeValue("value")).intValue();
      this.DELETE_ROLE_SERVICE_RECOVERY_D = Integer.valueOf(((Element)data.get("DELETE_ROLE_SERVICE_RECOVERY_D")).attributeValue("value")).intValue();
      this.VIGOR_REFRESH_TIME = Integer.valueOf(((Element)data.get("VIGOR_REFRESH_TIME")).attributeValue("value")).intValue();
      this.MAX_WARDROBE_COUNT = Integer.valueOf(((Element)data.get("MAX_WARDROBE_COUNT")).attributeValue("value")).intValue();
      this.TIME_TO_NEXT_TIP = Integer.valueOf(((Element)data.get("TIME_TO_NEXT_TIP")).attributeValue("value")).intValue();
      this.TIP_CONTENT = Integer.valueOf(((Element)data.get("TIP_CONTENT")).attributeValue("value")).intValue();
      this.PRO_TIP_CONTENT = Integer.valueOf(((Element)data.get("PRO_TIP_CONTENT")).attributeValue("value")).intValue();
      this.BAOSHIDU_COST = Integer.valueOf(((Element)data.get("BAOSHIDU_COST")).attributeValue("value")).intValue();
      this.VIGOUR_ITEM_ID = Integer.valueOf(((Element)data.get("VIGOUR_ITEM_ID")).attributeValue("value")).intValue();
      this.CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL = Integer.valueOf(((Element)data.get("CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL")).attributeValue("value")).intValue();
    } catch (Exception e) {
      throw new RuntimeException("load " + path + " failed", e);
    } 
  }
  
  public static void loadBny(String dir) {
    instance._loadBny(dir);
  }
  
  public void _loadBny(String dir) {
    String path = dir + "mzm.gsp.occupation.confbean.RoleCommonConstants.bny";
    try {
      File file = new File(path);
      if (file.exists()) {
        byte[] bytes = new byte[1024];
        FileInputStream fis = new FileInputStream(file);
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        int len = 0;
        while ((len = fis.read(bytes)) > 0)
          baos.write(bytes, 0, len); 
        fis.close();
        bytes = baos.toByteArray();
        OctetsStream _os_ = OctetsStream.wrap(Octets.wrap(bytes));
        this.BORN_LEVEL = _os_.unmarshal_int();
        this.MAX_LEVEL = _os_.unmarshal_int();
        this.BORN_MAP_ID = _os_.unmarshal_int();
        this.BORN_MAP_POS_X = _os_.unmarshal_int();
        this.BORN_MAP_POS_Y = _os_.unmarshal_int();
        this.BORN_MOVE_SPEED = _os_.unmarshal_float();
        this.ADD_POTEN_FUNC_LEVEL = _os_.unmarshal_int();
        this.OPEN_POINT_SYS_1_LEVEL = _os_.unmarshal_int();
        this.OPEN_POINT_SYS_2_LEVEL = _os_.unmarshal_int();
        this.OPEN_POINT_SYS_3_LEVEL = _os_.unmarshal_int();
        this.SWITCH_PROP_SYS_COST = _os_.unmarshal_int();
        this.RENAME_ITEM_TYPE_ID = _os_.unmarshal_int();
        this.RESET_POINT_ITEM_TYPE_ID = _os_.unmarshal_int();
        this.LEVEL_UP_EFFECT = _os_.unmarshal_int();
        this.LEVEL_UP_FONT_EFFECT = _os_.unmarshal_int();
        this.ACCEPT_TASK_EFFECT = _os_.unmarshal_int();
        this.FINISH_TASK_EFFECT = _os_.unmarshal_int();
        this.SERVER_LEVEL_DESC_ID = _os_.unmarshal_int();
        this.PHY_ATK_TIPS = _os_.unmarshal_int();
        this.MAG_ATK_TIPS = _os_.unmarshal_int();
        this.PHY_DEF_TIPS = _os_.unmarshal_int();
        this.MAG_DEF_TIPS = _os_.unmarshal_int();
        this.SPEED_TIPS = _os_.unmarshal_int();
        this.SEAL_RES_TIPS = _os_.unmarshal_int();
        this.PHY_CRT_TIPS = _os_.unmarshal_int();
        this.MAG_CRT_TIPS = _os_.unmarshal_int();
        this.HP_TIPS = _os_.unmarshal_int();
        this.MP_TIPS = _os_.unmarshal_int();
        this.ANGER_TIPS = _os_.unmarshal_int();
        this.EVERYDAY_GET_OFFLINE_EXP_LIMIT = _os_.unmarshal_int();
        this.EXP_STORE_LIMIT = _os_.unmarshal_int();
        this.ONE_XIULIAN_EXP_NEED_ROLE_EXP = _os_.unmarshal_int();
        this.EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT = _os_.unmarshal_int();
        this.ROLE_LEVEL_MORE_THAN_SERVER_LEVEL = _os_.unmarshal_int();
        this.ROLE_EXP_POOL_EXCHANGE_RATE = _os_.unmarshal_float();
        this.ROLE_EXP_POOL_CAPACITY_RATE = _os_.unmarshal_int();
        this.VIGOR_WORK_ICON = _os_.unmarshal_int();
        this.ANGER_LIMIT = _os_.unmarshal_int();
        this.VIGOR_LIMIT = _os_.unmarshal_int();
        this.ADD_VIGOR_LIMIT_PERLV = _os_.unmarshal_int();
        this.MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE = _os_.unmarshal_int();
        this.VIGOR_REACH_LIMIT_TIP_RATE = _os_.unmarshal_int();
        this.VIGOR_2_SILVER = _os_.unmarshal_int();
        this.VIGOR_ITEM_USE_LIMIT_PERDAY = _os_.unmarshal_int();
        this.VIGOR_WORK_COST = _os_.unmarshal_int();
        this.VIGOR_TIPS1 = _os_.unmarshal_int();
        this.VIGOR_TIPS2 = _os_.unmarshal_int();
        this.VIGOR_TIPS3 = _os_.unmarshal_int();
        this.VIGOR_PICID = _os_.unmarshal_int();
        this.OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU = _os_.unmarshal_int();
        this.BAOSHIDU_LIMIT = _os_.unmarshal_int();
        this.BAOTIP_LIMIT = _os_.unmarshal_int();
        this.BAOSHIDU_ICON_COLOR_COUNT = _os_.unmarshal_int();
        this.BAOSHIDU_ICON_ID = _os_.unmarshal_int();
        this.DELETE_ROLE_RECOVERY_D = _os_.unmarshal_int();
        this.DELETE_ROLE_SERVICE_RECOVERY_D = _os_.unmarshal_int();
        this.VIGOR_REFRESH_TIME = _os_.unmarshal_int();
        this.MAX_WARDROBE_COUNT = _os_.unmarshal_int();
        this.TIME_TO_NEXT_TIP = _os_.unmarshal_int();
        this.TIP_CONTENT = _os_.unmarshal_int();
        this.PRO_TIP_CONTENT = _os_.unmarshal_int();
        this.BAOSHIDU_COST = _os_.unmarshal_int();
        this.VIGOUR_ITEM_ID = _os_.unmarshal_int();
        this.CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL = _os_.unmarshal_int();
      } 
    } catch (Exception e) {
      throw new RuntimeException("load " + path + " failed", e);
    } 
  }
  
  public void reLoadBny(String dir) {
    String path = dir + "mzm.gsp.occupation.confbean.RoleCommonConstants.bny";
    try {
      File file = new File(path);
      if (file.exists()) {
        byte[] bytes = new byte[1024];
        FileInputStream fis = new FileInputStream(file);
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        int len = 0;
        while ((len = fis.read(bytes)) > 0)
          baos.write(bytes, 0, len); 
        fis.close();
        bytes = baos.toByteArray();
        OctetsStream _os_ = OctetsStream.wrap(Octets.wrap(bytes));
        this.BORN_LEVEL = _os_.unmarshal_int();
        this.MAX_LEVEL = _os_.unmarshal_int();
        this.BORN_MAP_ID = _os_.unmarshal_int();
        this.BORN_MAP_POS_X = _os_.unmarshal_int();
        this.BORN_MAP_POS_Y = _os_.unmarshal_int();
        this.BORN_MOVE_SPEED = _os_.unmarshal_float();
        this.ADD_POTEN_FUNC_LEVEL = _os_.unmarshal_int();
        this.OPEN_POINT_SYS_1_LEVEL = _os_.unmarshal_int();
        this.OPEN_POINT_SYS_2_LEVEL = _os_.unmarshal_int();
        this.OPEN_POINT_SYS_3_LEVEL = _os_.unmarshal_int();
        this.SWITCH_PROP_SYS_COST = _os_.unmarshal_int();
        this.RENAME_ITEM_TYPE_ID = _os_.unmarshal_int();
        this.RESET_POINT_ITEM_TYPE_ID = _os_.unmarshal_int();
        this.LEVEL_UP_EFFECT = _os_.unmarshal_int();
        this.LEVEL_UP_FONT_EFFECT = _os_.unmarshal_int();
        this.ACCEPT_TASK_EFFECT = _os_.unmarshal_int();
        this.FINISH_TASK_EFFECT = _os_.unmarshal_int();
        this.SERVER_LEVEL_DESC_ID = _os_.unmarshal_int();
        this.PHY_ATK_TIPS = _os_.unmarshal_int();
        this.MAG_ATK_TIPS = _os_.unmarshal_int();
        this.PHY_DEF_TIPS = _os_.unmarshal_int();
        this.MAG_DEF_TIPS = _os_.unmarshal_int();
        this.SPEED_TIPS = _os_.unmarshal_int();
        this.SEAL_RES_TIPS = _os_.unmarshal_int();
        this.PHY_CRT_TIPS = _os_.unmarshal_int();
        this.MAG_CRT_TIPS = _os_.unmarshal_int();
        this.HP_TIPS = _os_.unmarshal_int();
        this.MP_TIPS = _os_.unmarshal_int();
        this.ANGER_TIPS = _os_.unmarshal_int();
        this.EVERYDAY_GET_OFFLINE_EXP_LIMIT = _os_.unmarshal_int();
        this.EXP_STORE_LIMIT = _os_.unmarshal_int();
        this.ONE_XIULIAN_EXP_NEED_ROLE_EXP = _os_.unmarshal_int();
        this.EVERYDAY_TRAN_ROLE_EXP2XIULIANEXP_LIMIT = _os_.unmarshal_int();
        this.ROLE_LEVEL_MORE_THAN_SERVER_LEVEL = _os_.unmarshal_int();
        this.ROLE_EXP_POOL_EXCHANGE_RATE = _os_.unmarshal_float();
        this.ROLE_EXP_POOL_CAPACITY_RATE = _os_.unmarshal_int();
        this.VIGOR_WORK_ICON = _os_.unmarshal_int();
        this.ANGER_LIMIT = _os_.unmarshal_int();
        this.VIGOR_LIMIT = _os_.unmarshal_int();
        this.ADD_VIGOR_LIMIT_PERLV = _os_.unmarshal_int();
        this.MORETHAN_VIGOR_LIMIT_MAX_VAL_RATE = _os_.unmarshal_int();
        this.VIGOR_REACH_LIMIT_TIP_RATE = _os_.unmarshal_int();
        this.VIGOR_2_SILVER = _os_.unmarshal_int();
        this.VIGOR_ITEM_USE_LIMIT_PERDAY = _os_.unmarshal_int();
        this.VIGOR_WORK_COST = _os_.unmarshal_int();
        this.VIGOR_TIPS1 = _os_.unmarshal_int();
        this.VIGOR_TIPS2 = _os_.unmarshal_int();
        this.VIGOR_TIPS3 = _os_.unmarshal_int();
        this.VIGOR_PICID = _os_.unmarshal_int();
        this.OUTFIGHT_AUTO_RECOVERY_COST_BAOSHIDU = _os_.unmarshal_int();
        this.BAOSHIDU_LIMIT = _os_.unmarshal_int();
        this.BAOTIP_LIMIT = _os_.unmarshal_int();
        this.BAOSHIDU_ICON_COLOR_COUNT = _os_.unmarshal_int();
        this.BAOSHIDU_ICON_ID = _os_.unmarshal_int();
        this.DELETE_ROLE_RECOVERY_D = _os_.unmarshal_int();
        this.DELETE_ROLE_SERVICE_RECOVERY_D = _os_.unmarshal_int();
        this.VIGOR_REFRESH_TIME = _os_.unmarshal_int();
        this.MAX_WARDROBE_COUNT = _os_.unmarshal_int();
        this.TIME_TO_NEXT_TIP = _os_.unmarshal_int();
        this.TIP_CONTENT = _os_.unmarshal_int();
        this.PRO_TIP_CONTENT = _os_.unmarshal_int();
        this.BAOSHIDU_COST = _os_.unmarshal_int();
        this.VIGOUR_ITEM_ID = _os_.unmarshal_int();
        this.CAN_NOT_DELETE_ROLE_MORE_THAN_LEVEL = _os_.unmarshal_int();
      } 
    } catch (Exception e) {
      throw new RuntimeException("load " + path + " failed", e);
    } 
  }
  
  public static void setInstance(mzm.gsp.occupation.confbean.RoleCommonConstants newInstance) {
    oldInstance = instance;
    instance = newInstance;
  }
  
  public static void resetOldInstance() {
    oldInstance = null;
  }
}
